Std Edit/ko: Difference between revisions

From FreeCAD Documentation
(Created page with "==스크립트==")
(Created page with "{{Emphasis|참조:}} FreeCAD 스크립트 기초.")
Line 36: Line 36:
==스크립트==
==스크립트==


{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|참조:}} [[FreeCAD_Scripting_Basics/ko|FreeCAD 스크립트 기초]].


To activate an object's edit mode use the {{incode|setEdit}} method of the document object. This method is not available if FreeCAD is in console mode.
To activate an object's edit mode use the {{incode|setEdit}} method of the document object. This method is not available if FreeCAD is in console mode.

Revision as of 05:01, 1 January 2021

표준 편집 모드 전환

메뉴 위치
편집 → 편집 모드 전환
작업대
모두
기본 단축키
없음
도입 버전
-
참조
없음

설명

표준 편집 모드 전환(Std Edit) 명령은 개체의 편집모드를 활성화하거나 비활성화합니다.

용법

  1. 편집 모드인 개체가 없다면: 단일 개체를 선택합니다.
  2. 메뉴에서 편집 → 편집 모드 전환 옵션을 선택합니다.
  3. 선택한 개체의 편집 모드가 활성화되거나 기존 편집 모드가 비활성화 됩니다.

비고

  • 개체의 편집 모드가 활성화되면 사용자 인터페이스의 일부 도구는 비활성화(회색으로 표시됨)됩니다.
  • 모든 개체 유형에 편집 모드가 있는 것은 아닙니다.
  • 편집 모드에서 사용할 수 있는 기능은 개체 유형마다 다릅니다.
  • 트리 보기에서 개체를 더블 클릭하여 편집모드를 활성화할 수도 있습니다.

스크립트

참조: FreeCAD 스크립트 기초.

To activate an object's edit mode use the setEdit method of the document object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.setEdit("myObjectName",0)

To deactivate an object's edit mode use the resetEdit method of the document object.

import FreeCADGui

FreeCADGui.ActiveDocument.resetEdit()